HTTP API

Rumor

GET/api/v1/rumor/graphs
GET
/api/v1/rumor/graphs

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Query Parameters

page?integer

1-indexed page number.

Formatint64
Range0 <= value
page_size?integer

Page size.

Formatint64
Range0 <= value
sort_by?string

Sort field (created_at, node_count, edge_count).

sort_order?string

Sort order (asc or desc).

Value in

  • "asc"
  • "desc"

Response Body

application/json

curl -X GET "https://example.com/api/v1/rumor/graphs"
{  "graphs": [    {      "created_at": "2019-08-24T14:15:22Z",      "created_by": "string",      "defaults": {        "edge_bandwidth": 0,        "edge_fidelity": 0.1,        "edge_latency_seconds": 0      },      "deterministic": {        "enabled": true,        "seed": 0      },      "distortion": {        "arbiter_paraphrase": true,        "mode": "mutation_table",        "table_id": "string"      },      "edge_count": 0,      "forgetting": {        "default_ttl_seconds": 0,        "reinforcement_extends": true      },      "graph_id": "string",      "node_count": 0,      "updated_at": "2019-08-24T14:15:22Z"    }  ],  "pagination": {    "has_more": true,    "page": 0,    "page_size": 0,    "total": 0  }}
POST/api/v1/rumor/graphs
POST
/api/v1/rumor/graphs

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Create a propagation graph.

Response Body

application/json

curl -X POST "https://example.com/api/v1/rumor/graphs" \  -H "Content-Type: application/json" \  -d '{}'
{  "created_at": "2019-08-24T14:15:22Z",  "created_by": "string",  "defaults": {    "edge_bandwidth": 0,    "edge_fidelity": 0.1,    "edge_latency_seconds": 0  },  "deterministic": {    "enabled": true,    "seed": 0  },  "distortion": {    "arbiter_paraphrase": true,    "mode": "mutation_table",    "table_id": "string"  },  "edge_count": 0,  "forgetting": {    "default_ttl_seconds": 0,    "reinforcement_extends": true  },  "graph_id": "string",  "node_count": 0,  "updated_at": "2019-08-24T14:15:22Z"}
GET/api/v1/rumor/graphs/{graph_id}
GET
/api/v1/rumor/graphs/{graph_id}

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Path Parameters

graph_id*string

Response Body

application/json

curl -X GET "https://example.com/api/v1/rumor/graphs/string"
{  "created_at": "2019-08-24T14:15:22Z",  "created_by": "string",  "defaults": {    "edge_bandwidth": 0,    "edge_fidelity": 0.1,    "edge_latency_seconds": 0  },  "deterministic": {    "enabled": true,    "seed": 0  },  "distortion": {    "arbiter_paraphrase": true,    "mode": "mutation_table",    "table_id": "string"  },  "edge_count": 0,  "forgetting": {    "default_ttl_seconds": 0,    "reinforcement_extends": true  },  "graph_id": "string",  "node_count": 0,  "updated_at": "2019-08-24T14:15:22Z"}
POST/api/v1/rumor/graphs/{graph_id}/correct
POST
/api/v1/rumor/graphs/{graph_id}/correct

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Path Parameters

graph_id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Inject a correction that chases a target fact through the same graph.

Response Body

application/json

curl -X POST "https://example.com/api/v1/rumor/graphs/string/correct" \  -H "Content-Type: application/json" \  -d '{    "fact_id": "string",    "origin_node": "string",    "payload": null  }'
{  "beliefs_corrected": 0,  "fact_id": "string",  "graph_id": "string",  "original_footprint": 0}
POST/api/v1/rumor/graphs/{graph_id}/edges
POST
/api/v1/rumor/graphs/{graph_id}/edges

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Path Parameters

graph_id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Add one or more directed edges to a graph (bulk import supported).

Response Body

application/json

curl -X POST "https://example.com/api/v1/rumor/graphs/string/edges" \  -H "Content-Type: application/json" \  -d '{    "edges": [      {        "from": "string",        "to": "string"      }    ]  }'
{  "added": 0,  "edge_count": 0,  "graph_id": "string"}
GET/api/v1/rumor/graphs/{graph_id}/facts/{fact_id}/trace
GET
/api/v1/rumor/graphs/{graph_id}/facts/{fact_id}/trace

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Path Parameters

graph_id*string
fact_id*string

Response Body

application/json

curl -X GET "https://example.com/api/v1/rumor/graphs/string/facts/string/trace"
{  "fact_id": "string",  "graph_id": "string",  "injected_at": "2019-08-24T14:15:22Z",  "nodes": [    {      "corrected": true,      "fidelity_remaining": 0.1,      "form": null,      "node_id": "string",      "received_via": [        "string"      ]    }  ],  "origin_node": "string",  "prevalence": {    "corrected": 0,    "distorted": 0,    "total_known": 0,    "true_form": 0  },  "propagation": [    {      "corrected": true,      "fidelity_remaining": 0.1,      "from_node": "string",      "hop": 0,      "mutated": true,      "received_at": "2019-08-24T14:15:22Z",      "to_node": "string"    }  ],  "topic": "string"}
POST/api/v1/rumor/graphs/{graph_id}/inject
POST
/api/v1/rumor/graphs/{graph_id}/inject

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Path Parameters

graph_id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Inject a fact at an origin node.

Response Body

application/json

curl -X POST "https://example.com/api/v1/rumor/graphs/string/inject" \  -H "Content-Type: application/json" \  -d '{    "origin_node": "string",    "payload": null,    "topic": "string",    "truth_value": true  }'
{  "beliefs_recorded": 0,  "fact_id": "string",  "first_hops": [    {      "scheduled_at": "2019-08-24T14:15:22Z",      "to_node": "string"    }  ],  "graph_id": "string",  "injected_at": "2019-08-24T14:15:22Z",  "origin_node": "string",  "topic": "string"}
POST/api/v1/rumor/graphs/{graph_id}/nodes
POST
/api/v1/rumor/graphs/{graph_id}/nodes

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Path Parameters

graph_id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Add one or more nodes to a graph (bulk import supported).

Response Body

application/json

curl -X POST "https://example.com/api/v1/rumor/graphs/string/nodes" \  -H "Content-Type: application/json" \  -d '{    "nodes": [      {        "id": "string"      }    ]  }'
{  "added": 0,  "graph_id": "string",  "node_count": 0}
GET/api/v1/rumor/graphs/{graph_id}/nodes/{node}/beliefs
GET
/api/v1/rumor/graphs/{graph_id}/nodes/{node}/beliefs

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Path Parameters

graph_id*string
node*string

Query Parameters

topic?string

Topic to filter beliefs by.

Response Body

application/json

curl -X GET "https://example.com/api/v1/rumor/graphs/string/nodes/string/beliefs"
{  "beliefs": [    {      "confidence": 0.1,      "corrected": true,      "expires_at": "2019-08-24T14:15:22Z",      "fact_id": "string",      "fidelity_remaining": 0.1,      "form": null,      "node_id": "string",      "received_at": "2019-08-24T14:15:22Z",      "received_via": [        "string"      ],      "topic": "string",      "truth_value": true    }  ],  "count": 0,  "node_id": "string"}
POST/api/v1/rumor/graphs/{graph_id}/nodes/{node}/quarantine
POST
/api/v1/rumor/graphs/{graph_id}/nodes/{node}/quarantine

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Path Parameters

graph_id*string
node*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Quarantine or release a node.

Response Body

application/json

curl -X POST "https://example.com/api/v1/rumor/graphs/string/nodes/string/quarantine" \  -H "Content-Type: application/json" \  -d '{    "quarantined": true  }'
{  "graph_id": "string",  "node_id": "string",  "quarantined": true}
POST/api/v1/rumor/graphs/{graph_id}/subscribe
POST
/api/v1/rumor/graphs/{graph_id}/subscribe

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Path Parameters

graph_id*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Provision fanout for belief-change events.

Response Body

application/json

curl -X POST "https://example.com/api/v1/rumor/graphs/string/subscribe" \  -H "Content-Type: application/json" \  -d '{}'
{  "channel": "string",  "graph_id": "string",  "node": "string",  "subscription_id": "string",  "topic": "string",  "webhook_url": "string"}
POST/api/v1/rumor/graphs/{graph_id}/tick
POST
/api/v1/rumor/graphs/{graph_id}/tick

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Path Parameters

graph_id*string

Response Body

application/json

curl -X POST "https://example.com/api/v1/rumor/graphs/string/tick"
{  "beliefs_recorded": 0,  "graph_id": "string",  "hops_processed": 0,  "hops_scheduled": 0}

On this page